gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Object for rc-file handling--- for example, ~/.gtkrc--- and application style and default setting. Rc files can be used to set the colors of just about any widget, and they can also be used to tile pixmaps onto the background of some widgets.
- Constructor
  2.12.0.0
  Public constructor; generates a new RC parser.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a a Deprecated. Do not use.
- Method
  2.12.0.0
  System.Void `` a , the filename to add to the parse list Adds a file to the list of files to be parsed at the end of . If is not absolute, it is searched in the current directory.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a , the style to use for widgets matching a , the pattern to match Adds a that will be looked up by a match against the widget's class pathname. This is equivalent to a "widget_class PATTERN style STYLE" statement in a RC file.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a , the style to use for widgets matching a , the pattern to match Adds a that will be looked up by a match against the widget's pathname. This is equivalent to a "widget PATTERN style STYLE" statement in a RC file.
- Property
  2.12.0.0
  System.String[] The current list of RC files that will be parsed at the end of . a , a list of filenames. Unlike the underlying GTK+ function, this function's return string does not use memory owned by the application.
- Method
  2.12.0.0
  System.String `` a Searches for a theme engine in the GTK+ search path. This function is not useful for applications and should not be used. a
- Method
  2.12.0.0
  Gtk.Style `` a Finds all matching RC styles for a given widget, composites them together, and then creates a representing the composite appearance. a (GTK+ actually keeps a cache of previously created styles, so a new style may not be created.)
- Method
  2.12.0.0
  Gtk.Style `` `` `` `` a a , the widget path to use when looking up the style, or if no matching against the widget path should be done a , the class path to use when looking up the style, or if no matching against the class path should be done. a , a type that will be used along with parent types of this type when matching against class styles, or G_TYPE_NONE Creates up a from styles defined in a RC file by providing the raw components used in matching. This function may be useful when creating pseudo-widgets that should be themed like widgets but don't actually have corresponding GTK# widgets. An example of this would be items inside a GNOME canvas widget. a ,a style created by matching with the supplied paths, or if nothing matching was specified and the default style should be used. The returned value is owned by GTK+ as part of an internal cache, so you must call g_object_ref() on the returned value if you want to keep a reference to it. (FIXME: what's the GTK# equivalent of g_object_ref()?)
- Property
  2.12.0.0
  System.String The path to the IM module file specified by the RC file. This may be overridden by the GTK_IM_MODULE_FILE environment variable. a (FIXME: does this apply for Gtk# too?) In standard Gtk+ applications, the GTK_IM_MODULE_FILE environment variable overrides the im_module_file specified in the RC files, which in turn overrides the default value sysconfdir/gtk-2.0/gtk.immodules (sysconfdir is the sysconfdir specified when GTK+ was configured, usually /usr/local/etc.)
- Property
  2.12.0.0
  System.String Obtains the path in which to look for IM modules. a (FIXME: "See the documentation of the GTK_PATH environment variable for more details about looking up modules.") This function is useful solely for utilities supplied with GTK+ and should not be used by applications under normal circumstances.
- Property
  2.12.0.0
  System.String Returns the name a directory in which GTK# looks for theme engines. a Unlike the underlying GTK+ function, the return value of this method is a string, not a directory handle that must be freed later. (FIXME: the GTK+ docs point at the "GTK_PATH" section of "Running GTK applications", which is very detailed and may or may not need included here.)
- Method
  2.12.0.0
  System.Void `` a , the file to parse. Parses an rc file into the internal data structure.
- Method
  2.12.0.0
  System.Void `` a to parse. Parses resource information directly from a string.
- Method
  2.12.0.0
  System.Boolean If the modification time on any previously read file for the default has changed, discard all style information and then reread all previously read RC files. a , TRUE if files were re-read.
- Method
  2.12.0.0
  System.Boolean `` `` a a , force reload whether or not anything changed if TRUE If the modification time on any previously read file for the given has changed, discard all style information and then reread all previously read RC files. a , TRUE if the files were re-read.
- Method
  2.12.0.0
  System.Void `` a Recomputes the styles for all widgets that use a particular object.

  There is one GtkSettings object per ; see

  This method is useful when some global parameter has changed that affects the appearance of all widgets, because when a widget gets a new style, it will both redraw and recompute any cached information about its appearance. As an example, it is used when the default font size set by the operating system changes. Note that this function doesn't affect widgets that have a style set explicitly on them with .

- Property
  2.12.0.0
  System.String Returns the standard directory in which themes should be installed. (GTK+ does not actually use this directory itself.) a Unlike the underlying GTK+ function, the return value of this method is a string, not a directory handle that must be freed later.